function fish_greeting
end

if status is-interactive
   starship init fish | source
end

# XDG
set -x XDG_CONFIG_HOME "$HOME/.config"

# bun
set -x BUN_INSTALL "$HOME/.local/bun"

# devkitpro
set -x DEVKITPRO "/opt/devkitpro"
set -x DEVKITARM "/opt/devkitpro/devkitARM"

# path
set -x PATH $HOME/.local/bin $BUN_INSTALL/bin $PATH 

# ssh agent
if test -z (pgrep ssh-agent | string collect)
    eval (ssh-agent -c)
    set -Ux SSH_AUTH_SOCK $SSH_AUTH_SOCK
    set -Ux SSH_AGENT_PID $SSH_AGENT_PID
end
